Bug 1426758 - SUI : Save button is not enabled in "retire service at date" page
Summary: SUI : Save button is not enabled in "retire service at date" page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: 5.8.0
Assignee: Josh Langholtz
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 19:07 UTC by Shveta
Modified: 2017-05-31 14:36 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:36:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Save button (90.76 KB, image/png)
2017-02-24 19:07 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-02-24 19:07:18 UTC
Created attachment 1257400 [details]
Save button

Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.2.20170223184827_489bf7c 

How reproducible:


Steps to Reproduce:
1. Select a service in SUI and then "Set retirement date " option
2. Be default todays date is selected but Save button is not enabled.
3. Workaround - select any other date and then select today's date , save button gets enabled now

Actual results:


Expected results:


Additional info:

Comment 3 CFME Bot 2017-03-06 18:32:37 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/aaede7002e9fff7a6c85a9af3a5c2e8fa6105276

commit aaede7002e9fff7a6c85a9af3a5c2e8fa6105276
Author:     Josh Langholtz <jjlangholtz@gmail.com>
AuthorDate: Mon Mar 6 11:32:42 2017 -0500
Commit:     Josh Langholtz <jjlangholtz@gmail.com>
CommitDate: Mon Mar 6 11:32:42 2017 -0500

    Do not pre-populate retirement date with today's date
    
    Change the retire service modal to not display today's date in the
    retirement field by default. For all action button groups that have a
    reset button, it is important to copy the initial state of the form to
    determine whether buttons should be enabled/disabled.
    
    https://www.pivotaltracker.com/story/show/141145109
    https://bugzilla.redhat.com/show_bug.cgi?id=1426758

 .../retire-service-modal/retire-service-modal.component.js         | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

Comment 4 Shveta 2017-04-19 19:24:51 UTC
Fixed.
Verified in 5.8.0.11-beta2.20170418170914_a53d2a7

Comment 6 errata-xmlrpc 2017-05-31 14:36:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.